# Remove Properties

This method allows you to remove a property from an item

### Remove Property

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/v2/item/delete/property`

Takes an item's collection address, tokenId, chaind Id, property name and your API key&#x20;

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                           | Type    | Description                                       |
| ---------------------------------------------- | ------- | ------------------------------------------------- |
| address<mark style="color:red;">\*</mark>      | String  | The item's collection address                     |
| tokenId<mark style="color:red;">\*</mark>      | Integer | The item's tokenId                                |
| propertyName<mark style="color:red;">\*</mark> | String  | The name (key) of the property you want to change |
| chainId<mark style="color:red;">\*</mark>      | Integer | Network ID                                        |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/smart-nft-endpoints/remove-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
